You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: <smi...@us...> - 2003-11-10 23:58:51
|
Update of /cvsroot/devil-linux/build/scripts/install
In directory sc8-pr-cvs1:/tmp/cvs-serv20953/scripts/install
Added Files:
Tag: rel-1-0-patches
790isapnptools
Log Message:
initial checkin of isapnptools
--- NEW FILE: 790isapnptools ---
|
|
From: <smi...@us...> - 2003-11-10 23:58:50
|
Update of /cvsroot/devil-linux/build/scripts/configuration/help
In directory sc8-pr-cvs1:/tmp/cvs-serv20953/scripts/configuration/help
Added Files:
Tag: rel-1-0-patches
isapnptools.help
Log Message:
initial checkin of isapnptools
--- NEW FILE: isapnptools.help ---
CONFIG_CVS
The isapnptools package contains programs that allow ISA Plug-And-Play
devices to be configured on a Linux machine. They are suitable for all
systems, whether or not they include a PnP BIOS.
|
|
From: <smi...@us...> - 2003-11-10 23:58:50
|
Update of /cvsroot/devil-linux/build/scripts/configuration
In directory sc8-pr-cvs1:/tmp/cvs-serv20953/scripts/configuration
Added Files:
Tag: rel-1-0-patches
isapnptools.config
Log Message:
initial checkin of isapnptools
--- NEW FILE: isapnptools.config ---
#!/bin/bash
# $Source: /cvsroot/devil-linux/build/scripts/configuration/isapnptools.config,v $
# $Revision: 1.1.2.1 $
# $Date: 2003/11/10 23:58:47 $
#
# http://www.devil-linux.org
menu_add "System|Hardware Support" bool "ISAPNP Tools" CONFIG_ISAPNPTOOLS
|
|
From: <smi...@us...> - 2003-11-10 23:58:50
|
Update of /cvsroot/devil-linux/build/scripts/build
In directory sc8-pr-cvs1:/tmp/cvs-serv20953/scripts/build
Added Files:
Tag: rel-1-0-patches
790isapnptools
Log Message:
initial checkin of isapnptools
--- NEW FILE: 790isapnptools ---
|
|
From: <smi...@us...> - 2003-11-10 23:58:50
|
Update of /cvsroot/devil-linux/build
In directory sc8-pr-cvs1:/tmp/cvs-serv20953
Modified Files:
Tag: rel-1-0-patches
CHANGES
Log Message:
initial checkin of isapnptools
Index: CHANGES
===================================================================
RCS file: /cvsroot/devil-linux/build/CHANGES,v
retrieving revision 1.510.2.29
retrieving revision 1.510.2.30
diff -u -d -r1.510.2.29 -r1.510.2.30
--- CHANGES 7 Nov 2003 12:42:15 -0000 1.510.2.29
+++ CHANGES 10 Nov 2003 23:58:47 -0000 1.510.2.30
@@ -23,6 +23,8 @@
#
1.0.2
+- added isapnptools v1.26
+- locate uses now correct directory /var/locatedb
- ISAPNP support is now directly on kernel (no more module)
- added EISA support to the kernel
- added menu driven configuration update (bs)
|
|
From: <smi...@us...> - 2003-11-10 23:33:45
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv15939 Modified Files: CHANGES Log Message: updates Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.560 retrieving revision 1.561 diff -u -d -r1.560 -r1.561 --- CHANGES 9 Nov 2003 18:46:51 -0000 1.560 +++ CHANGES 10 Nov 2003 23:33:43 -0000 1.561 @@ -23,6 +23,7 @@ # 1.1.1 +- added isapnptools v1.26 - locate uses now correct directory /var/locatedb - initrd scripts now use devfs device names - install-usb now uses fat file system and the plain bootcd.iso file |
|
From: <smi...@us...> - 2003-11-10 23:33:33
|
Update of /cvsroot/devil-linux/build/scripts/configuration/help In directory sc8-pr-cvs1:/tmp/cvs-serv15853/configuration/help Added Files: isapnptools.help Log Message: initial checkin of isapnptools --- NEW FILE: isapnptools.help --- CONFIG_CVS The isapnptools package contains programs that allow ISA Plug-And-Play devices to be configured on a Linux machine. They are suitable for all systems, whether or not they include a PnP BIOS. |
|
From: <smi...@us...> - 2003-11-10 23:33:33
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs1:/tmp/cvs-serv15853/configuration Added Files: isapnptools.config Log Message: initial checkin of isapnptools --- NEW FILE: isapnptools.config --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/configuration/isapnptools.config,v $ # $Revision: 1.1 $ # $Date: 2003/11/10 23:33:29 $ # # http://www.devil-linux.org menu_add "System|Hardware Support" bool "ISAPNP Tools" CONFIG_ISAPNPTOOLS |
|
From: <smi...@us...> - 2003-11-10 23:33:32
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv15853 Added Files: isapnptools Log Message: initial checkin of isapnptools --- NEW FILE: isapnptools --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/isapnptools,v $ # $Revision: 1.1 $ # $Date: 2003/11/10 23:33:29 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: isapnptools # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: description ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings source $MYDIR/functions MYNAME=ISAPNPTOOLS case $1 in build ) if [ "$CONFIG_ISAPNPTOOLS" = "y" ]; then ./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc || exit 1 make $PMAKE all || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_ISAPNPTOOLS" = "y" ]; then rm -rf $WORKDIR/tmp || exit 1 mkdir -p $WORKDIR/tmp/usr/ || exit 1 make install DESTDIR=$WORKDIR/tmp || exit 1 copy_docs $WORKDIR/tmp cp -dpR $WORKDIR/tmp/usr/sbin/* $CDDIR/usr/sbin/ || exit 1 rm -rf $WORKDIR/tmp || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: <smi...@us...> - 2003-11-10 15:04:54
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs1:/tmp/cvs-serv796 Modified Files: linux.config Log Message: declare pwc stuff as experimental Index: linux.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/linux.config,v retrieving revision 1.6 retrieving revision 1.7 diff -u -d -r1.6 -r1.7 --- linux.config 7 Nov 2003 02:04:10 -0000 1.6 +++ linux.config 10 Nov 2003 15:04:51 -0000 1.7 @@ -6,4 +6,4 @@ # http://www.devil-linux.org menu_add "Build Configuration" bool "Symmetric multi-processing support" CONFIG_LINUX_SMP -menu_add "System|Hardware Support" bool "Update Philips USB Webcam Kernel Driver (pwc)" CONFIG_LINUX_UPDATE_PWC +menu_add "System|Hardware Support" bool "Update Philips USB Webcam Kernel Driver (pwc) EXPERIMENTAL" CONFIG_LINUX_UPDATE_PWC |
|
From: <smi...@us...> - 2003-11-09 18:48:16
|
Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv4659
Modified Files:
Tag: rel-1-0-patches
findutils
Log Message:
- locate uses now correct directory /var/locatedb
Index: findutils
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/findutils,v
retrieving revision 1.6
retrieving revision 1.6.2.1
diff -u -d -r1.6 -r1.6.2.1
--- findutils 14 Jul 2003 13:27:09 -0000 1.6
+++ findutils 9 Nov 2003 18:48:12 -0000 1.6.2.1
@@ -15,7 +15,7 @@
case $1 in
build )
bzcat $DL_DIR/src/findutils-*patch.bz2 | patch -p1 || exit 1
- ./configure --prefix=/usr || exit 1
+ ./configure --prefix=/usr --disable-nls --localstatedir=/var --sysconfdir=/etc || exit 1
make $PMAKE all || exit 1
strip_debug
;;
@@ -23,13 +23,13 @@
install )
rm -rf $WORKDIR/tmp || exit 1
mkdir -p $WORKDIR/tmp/usr || exit 1
- make install prefix=$WORKDIR/tmp/usr || exit 1
+ make install DESTDIR=$WORKDIR/tmp/ || exit 1
copy_docs $WORKDIR/tmp
rm -rf $WORKDIR/tmp/usr/libexec || exit 1
rm -rf $WORKDIR/tmp/usr/info || exit 1
- rm -rf $WORKDIR/tmp/usr/var || exit 1
cp -dpR $WORKDIR/tmp/* $CDDIR/|| exit 1
rm -rf $WORKDIR/tmp || exit 1
+ mkdir -p $CDDIR/var/locatedb || exit 1
;;
* )
|
|
From: <smi...@us...> - 2003-11-09 18:46:55
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv4448 Modified Files: CHANGES Log Message: use correct path for locatedb Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.559 retrieving revision 1.560 diff -u -d -r1.559 -r1.560 --- CHANGES 8 Nov 2003 21:04:23 -0000 1.559 +++ CHANGES 9 Nov 2003 18:46:51 -0000 1.560 @@ -23,6 +23,7 @@ # 1.1.1 +- locate uses now correct directory /var/locatedb - initrd scripts now use devfs device names - install-usb now uses fat file system and the plain bootcd.iso file - ISO can now be in ZISOFS format (optional) |
|
From: <smi...@us...> - 2003-11-09 18:46:55
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv4448/scripts Modified Files: findutils Log Message: use correct path for locatedb Index: findutils =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/findutils,v retrieving revision 1.8 retrieving revision 1.9 diff -u -d -r1.8 -r1.9 --- findutils 2 Nov 2003 16:59:44 -0000 1.8 +++ findutils 9 Nov 2003 18:46:51 -0000 1.9 @@ -26,7 +26,7 @@ case $1 in build ) - ./configure --prefix=/usr || exit 1 + ./configure --prefix=/usr --disable-nls --localstatedir=/var --sysconfdir=/etc || exit 1 make $PMAKE all || exit 1 strip_debug ;; @@ -34,13 +34,13 @@ install ) rm -rf $WORKDIR/tmp || exit 1 mkdir -p $WORKDIR/tmp/usr || exit 1 - make install prefix=$WORKDIR/tmp/usr || exit 1 + make install DESTDIR=$WORKDIR/tmp/ || exit 1 copy_docs $WORKDIR/tmp rm -rf $WORKDIR/tmp/usr/libexec || exit 1 rm -rf $WORKDIR/tmp/usr/info || exit 1 - rm -rf $WORKDIR/tmp/usr/var || exit 1 cp -dpR $WORKDIR/tmp/* $CDDIR/|| exit 1 rm -rf $WORKDIR/tmp || exit 1 + mkdir -p $CDDIR/var/locatedb || exit 1 ;; * ) |
|
From: <smi...@us...> - 2003-11-09 17:38:18
|
Update of /cvsroot/devil-linux/build/config/etc/initrd
In directory sc8-pr-cvs1:/tmp/cvs-serv24528/config/etc/initrd
Modified Files:
linuxrc mount_cdrom
Log Message:
initrd is colorfull again
fixed some minor issues
Index: linuxrc
===================================================================
RCS file: /cvsroot/devil-linux/build/config/etc/initrd/linuxrc,v
retrieving revision 1.47
retrieving revision 1.48
diff -u -d -r1.47 -r1.48
--- linuxrc 9 Nov 2003 17:17:04 -0000 1.47
+++ linuxrc 9 Nov 2003 17:38:14 -0000 1.48
@@ -19,6 +19,8 @@
RED="echo -en \\033[1;31m"
alias beep='echo -en "\007"'
+alias l="ls -la"
+
$RED
echo
echo "********************************************************************************"
@@ -80,7 +82,7 @@
CONFIG_SRC_LIST="$CDROM_IDE $CDROM_SCSI $PARTITIONS_IDE $PARTITIONS_SCSI /dev/fd0 /dev/fd1"
DL_CONFIG_SOURCE=""
-$SUCCESS
+$GREEN
echo -e "searching for configuration media"
$NORMAL
@@ -91,17 +93,17 @@
if mount -n -t auto $CFG_SRC /floppy >/dev/null 2>&1 ; then
if [ -e /floppy/etc.tar.bz2 ] ; then
- $SUCCESS
- echo "Found configuration on $CFG_SRC"
+ $YELLOW
+ echo -e "Found configuration on $CFG_SRC"
$NORMAL
DL_CONFIG_SOURCE=$CFG_SRC
continue 2
else
+ umount /floppy # in case user swaps floppy when we are accepting input
# offer to copy the configuration file if device is not a CD
if [ ! "${CFG_SRC##/*/}" = "cd" ];then
beep;
- umount /floppy # in case user swaps floppy when we are accepting input
- $SUCCESS
+ $YELLOW
echo -e "\n*** Found empty configuration media. ***"
$NORMAL
echo -n "Should I copy default configuration to it?"
@@ -111,8 +113,8 @@
/probe_all_scsi_modules
fi
if ! /mount_cdrom /cdrom noreboot ; then
- $FAILURE
- echo "Cannot find CD drive - try probing for SCSI controllers"
+ $RED
+ echo -e "Cannot find CD drive - try probing for SCSI controllers"
$NORMAL
continue
fi
@@ -136,8 +138,8 @@
fi
#[ -n "$DL_CONFIG_SOURCE" ] && continue
beep; sleep 1; beep; sleep 1; beep;
- $FAILURE
- echo "Please insert Configuration Media and press 'ENTER'"
+ $RED
+ echo -e "Please insert Configuration Media and press 'ENTER'"
$NORMAL
read ANS
echo
Index: mount_cdrom
===================================================================
RCS file: /cvsroot/devil-linux/build/config/etc/initrd/mount_cdrom,v
retrieving revision 1.19
retrieving revision 1.20
diff -u -d -r1.19 -r1.20
--- mount_cdrom 8 Nov 2003 21:04:23 -0000 1.19
+++ mount_cdrom 9 Nov 2003 17:38:14 -0000 1.20
@@ -32,7 +32,7 @@
if [ -e $1/DEVIL-LINUX ] ; then
if [ "$3" != "silent" ]; then
$YELLOW
- echo -e "\nFound on $disk"
+ echo -e "Found on $disk"
$NORMAL
fi
exit 0
|
|
From: <smi...@us...> - 2003-11-09 17:17:09
|
Update of /cvsroot/devil-linux/build/config/etc/initrd
In directory sc8-pr-cvs1:/tmp/cvs-serv20794/config/etc/initrd
Modified Files:
linuxrc
Log Message:
dont' try to copy etc.tar.bz onto a CD
be a little more "talkative" during initrd
Index: linuxrc
===================================================================
RCS file: /cvsroot/devil-linux/build/config/etc/initrd/linuxrc,v
retrieving revision 1.46
retrieving revision 1.47
diff -u -d -r1.46 -r1.47
--- linuxrc 9 Nov 2003 16:04:45 -0000 1.46
+++ linuxrc 9 Nov 2003 17:17:04 -0000 1.47
@@ -60,7 +60,7 @@
# create the floppy drives, somehow devfs doesn't do it in initrd
mknod /dev/fd0 b 2 0
-mknod /dev/fd1 b 2 0
+mknod /dev/fd1 b 2 1
# mount shared memory filesystem with a limit of 40GB (for now)
echo "Mounting SHM FS on /shm"
@@ -81,12 +81,13 @@
DL_CONFIG_SOURCE=""
$SUCCESS
-echo "searching for configuration media"
+echo -e "searching for configuration media"
$NORMAL
until [ -e /floppy/etc.tar.bz2 ] ; do
for CFG_SRC in $CONFIG_SRC_LIST
do
+ echo -e "Checking $CFG_SRC"
if mount -n -t auto $CFG_SRC /floppy >/dev/null 2>&1 ; then
if [ -e /floppy/etc.tar.bz2 ] ; then
@@ -96,27 +97,30 @@
DL_CONFIG_SOURCE=$CFG_SRC
continue 2
else
- beep;
- umount /floppy # in case user swaps floppy when we are accepting input
- $SUCCESS
- echo -e "\n*** Found empty configuration media. ***\n"
- $NORMAL
- echo -n "Should I copy default configuration to it?"
- if ask_yes_no ; then
- echo -n "Would you like to probe for SCSI controllers now?"
+ # offer to copy the configuration file if device is not a CD
+ if [ ! "${CFG_SRC##/*/}" = "cd" ];then
+ beep;
+ umount /floppy # in case user swaps floppy when we are accepting input
+ $SUCCESS
+ echo -e "\n*** Found empty configuration media. ***"
+ $NORMAL
+ echo -n "Should I copy default configuration to it?"
if ask_yes_no ; then
- /probe_all_scsi_modules
- fi
- if ! /mount_cdrom /cdrom noreboot ; then
- $FAILURE
- echo "Cannot find CD drive - try probing for SCSI controllers"
- $NORMAL
- continue
+ echo -n "Would you like to probe for SCSI controllers now?"
+ if ask_yes_no ; then
+ /probe_all_scsi_modules
+ fi
+ if ! /mount_cdrom /cdrom noreboot ; then
+ $FAILURE
+ echo "Cannot find CD drive - try probing for SCSI controllers"
+ $NORMAL
+ continue
+ fi
+ mount -n -t auto $CFG_SRC /floppy >/dev/null 2>&1 || continue
+ cp -i /cdrom/config/etc.tar.bz2 /floppy/ || continue
+ DL_CONFIG_SOURCE=$CFG_SRC
+ continue 2
fi
- mount -n -t auto $CFG_SRC /floppy >/dev/null 2>&1 || continue
- cp -i /cdrom/config/etc.tar.bz2 /floppy/ || continue
- DL_CONFIG_SOURCE=$CFG_SRC
- continue 2
fi
fi
fi
|
|
From: <smi...@us...> - 2003-11-09 16:04:49
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory sc8-pr-cvs1:/tmp/cvs-serv5932/config/etc/initrd Modified Files: linuxrc Log Message: get rid of some error messages Index: linuxrc =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/linuxrc,v retrieving revision 1.45 retrieving revision 1.46 diff -u -d -r1.45 -r1.46 --- linuxrc 8 Nov 2003 21:04:53 -0000 1.45 +++ linuxrc 9 Nov 2003 16:04:45 -0000 1.46 @@ -58,8 +58,6 @@ # mount proc mount -n -t proc none /proc -# mount devfs -mount -n -t devfs none /dev # create the floppy drives, somehow devfs doesn't do it in initrd mknod /dev/fd0 b 2 0 mknod /dev/fd1 b 2 0 @@ -183,6 +181,9 @@ echo "Mounting SHM FS on /cdrom/shm" mount -n -o bind /shm /cdrom/shm umount /shm + +echo "Mounting DEV FS on /cdrom/dev" +mount -n -t devfs none /cdrom/dev # unmount proc because the final system will mount it again umount /proc |
|
From: <smi...@us...> - 2003-11-09 16:04:49
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv5932/scripts/scripts Modified Files: pre_init Log Message: get rid of some error messages Index: pre_init =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/pre_init,v retrieving revision 1.11 retrieving revision 1.12 diff -u -d -r1.11 -r1.12 --- pre_init 5 Nov 2003 16:03:43 -0000 1.11 +++ pre_init 9 Nov 2003 16:04:46 -0000 1.12 @@ -30,10 +30,11 @@ $NORMAL echo "Un-Mounting old Filesystems" +umount /initrd/dev umount /initrd echo "Freeing InitRD memory" -freeramdisk /dev/ram0 +freeramdisk /dev/rd/0 # do some more cleanup echo "Preparing and cleaning shmfs" @@ -114,7 +115,6 @@ chown -R 0.0 /shm/etc/* echo "Initializing devfs" -mount -t devfs none /dev /sbin/devfsd /dev # now start the real init program |
|
From: <smi...@us...> - 2003-11-09 15:24:41
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv32395/scripts Removed Files: mk_devices Log Message: we don't need to create the devices anymore and the partition type is fat --- mk_devices DELETED --- |
|
From: <smi...@us...> - 2003-11-09 15:24:41
|
Update of /cvsroot/devil-linux/build/scripts/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv32395/scripts/scripts
Modified Files:
install-on-usb
Log Message:
we don't need to create the devices anymore
and the partition type is fat
Index: install-on-usb
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/scripts/install-on-usb,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -d -r1.9 -r1.10
--- install-on-usb 8 Nov 2003 04:04:51 -0000 1.9
+++ install-on-usb 9 Nov 2003 15:24:36 -0000 1.10
@@ -156,7 +156,8 @@
GRUBPART=$(expr $(basename ${PARTITION} | sed -e 's/^part//' -e 's/^[hs]d[a-z]//') - 1)
echo
- echo "Please make sure the partition type is 'Linux' (83) "
+ #echo "Please make sure the partition type is 'Linux' (83) "
+ echo "Please make sure the partition type is 'FAT16' (06) "
echo
$FDISK -l $DEVICE
|
|
From: <smi...@us...> - 2003-11-08 21:42:36
|
Update of /cvsroot/devil-linux/build/scripts/config In directory sc8-pr-cvs1:/tmp/cvs-serv20453 Modified Files: config_linux Log Message: devfs needs to be mounted automatically Index: config_linux =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/config_linux,v retrieving revision 1.62 retrieving revision 1.63 diff -u -d -r1.62 -r1.63 --- config_linux 7 Nov 2003 02:14:58 -0000 1.62 +++ config_linux 8 Nov 2003 21:42:33 -0000 1.63 @@ -973,7 +973,7 @@ # CONFIG_HPFS_FS is not set CONFIG_PROC_FS=y CONFIG_DEVFS_FS=y -# CONFIG_DEVFS_MOUNT is not set +CONFIG_DEVFS_MOUNT=y # CONFIG_DEVFS_DEBUG is not set CONFIG_DEVPTS_FS=y # CONFIG_QNX4FS_FS is not set |
|
From: <smi...@us...> - 2003-11-08 21:04:56
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory sc8-pr-cvs1:/tmp/cvs-serv14496/config/etc/initrd Modified Files: linuxrc Log Message: removed debugging stuff Index: linuxrc =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/linuxrc,v retrieving revision 1.44 retrieving revision 1.45 diff -u -d -r1.44 -r1.45 --- linuxrc 8 Nov 2003 21:04:23 -0000 1.44 +++ linuxrc 8 Nov 2003 21:04:53 -0000 1.45 @@ -86,8 +86,6 @@ echo "searching for configuration media" $NORMAL -/bin/sh - until [ -e /floppy/etc.tar.bz2 ] ; do for CFG_SRC in $CONFIG_SRC_LIST do |
|
From: <smi...@us...> - 2003-11-08 21:04:27
|
Update of /cvsroot/devil-linux/build/scripts/config In directory sc8-pr-cvs1:/tmp/cvs-serv14411/scripts/config Modified Files: config_busybox Log Message: - initrd scripts now use devfs device names - install-usb now uses fat file system and the plain bootcd.iso file Index: config_busybox =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/config_busybox,v retrieving revision 1.9 retrieving revision 1.10 diff -u -d -r1.9 -r1.10 --- config_busybox 16 Sep 2003 13:15:47 -0000 1.9 +++ config_busybox 8 Nov 2003 21:04:24 -0000 1.10 @@ -71,7 +71,7 @@ CONFIG_CUT=y CONFIG_DATE=y CONFIG_FEATURE_DATE_ISOFMT=y -# CONFIG_DD is not set +CONFIG_DD=y CONFIG_DF=y CONFIG_DIRNAME=y # CONFIG_DOS2UNIX is not set @@ -110,7 +110,6 @@ CONFIG_RM=y CONFIG_RMDIR=y # CONFIG_SHA1SUM is not set -# CONFIG_FEATURE_SHA1SUM_CHECK is not set CONFIG_SLEEP=y CONFIG_FEATURE_FANCY_SLEEP=y CONFIG_SORT=y @@ -129,14 +128,14 @@ CONFIG_TOUCH=y CONFIG_TR=y CONFIG_TRUE=y -# CONFIG_TTY is not set -# CONFIG_UNAME is not set +CONFIG_TTY=y +CONFIG_UNAME=y CONFIG_UNIQ=y -# CONFIG_USLEEP is not set +CONFIG_USLEEP=y # CONFIG_UUDECODE is not set # CONFIG_UUENCODE is not set # CONFIG_WATCH is not set -# CONFIG_WC is not set +CONFIG_WC=y # CONFIG_WHO is not set # CONFIG_WHOAMI is not set CONFIG_YES=y @@ -208,14 +207,11 @@ # # Init Utilities # -CONFIG_INIT=y -# CONFIG_FEATURE_USE_INITTAB is not set -# CONFIG_FEATURE_INITRD is not set -# CONFIG_FEATURE_INIT_COREDUMPS is not set -# CONFIG_FEATURE_EXTRA_QUIET is not set +# CONFIG_INIT is not set CONFIG_HALT=y CONFIG_POWEROFF=y CONFIG_REBOOT=y +# CONFIG_MINIT is not set # CONFIG_MESG is not set # @@ -240,14 +236,13 @@ # CONFIG_CROND is not set # CONFIG_CRONTAB is not set # CONFIG_DC is not set -# CONFIG_DUTMP is not set +# CONFIG_LAST is not set # CONFIG_HDPARM is not set # CONFIG_MAKEDEVS is not set # CONFIG_MT is not set # CONFIG_STRINGS is not set # CONFIG_TIME is not set # CONFIG_WATCHDOG is not set -# CONFIG_LAST is not set # # Linux Module Utilities @@ -329,10 +324,6 @@ CONFIG_ASH=y # -# ash (forced enabled as default shell) -# - -# # Ash Shell Options # CONFIG_ASH_JOB_CONTROL=y @@ -362,7 +353,10 @@ # # System Logging Utilities # -# CONFIG_SYSLOGD is not set +CONFIG_SYSLOGD=y +# CONFIG_FEATURE_REMOTE_LOG is not set +# CONFIG_FEATURE_IPC_SYSLOG is not set +CONFIG_KLOGD=y # CONFIG_LOGGER is not set # @@ -379,7 +373,7 @@ # CONFIG_GETOPT is not set # CONFIG_HEXDUMP is not set # CONFIG_HWCLOCK is not set -# CONFIG_LOSETUP is not set +CONFIG_LOSETUP=y # CONFIG_MKSWAP is not set CONFIG_MORE=y # CONFIG_FEATURE_USE_TERMIOS is not set @@ -389,7 +383,7 @@ CONFIG_MOUNT=y # CONFIG_NFSMOUNT is not set CONFIG_UMOUNT=y -# CONFIG_FEATURE_MOUNT_FORCE is not set +CONFIG_FEATURE_MOUNT_FORCE=y # # Common options for mount/umount |
|
From: <smi...@us...> - 2003-11-08 21:04:27
|
Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv14411/scripts
Modified Files:
mk_devices util-linux
Log Message:
- initrd scripts now use devfs device names
- install-usb now uses fat file system and the plain bootcd.iso file
Index: mk_devices
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/mk_devices,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -d -r1.14 -r1.15
--- mk_devices 13 Oct 2003 17:36:08 -0000 1.14
+++ mk_devices 8 Nov 2003 21:04:23 -0000 1.15
@@ -51,22 +51,22 @@
case $1 in
install )
- echo "creating devices in RAMDISK"
- pushd $CDDIR/dev > /dev/null
- $MYDIR/MAKEDEV generic
- mkdir -p shm || exit 1
- mkdir -p net || exit 1
- mknod net/tun c 10 200 || exit 1
- popd > /dev/null
- makedevices_smartarray $CDDIR/dev
+ #echo "creating devices in RAMDISK"
+ #pushd $CDDIR/dev > /dev/null
+ #$MYDIR/MAKEDEV generic
+ #mkdir -p shm || exit 1
+ #mkdir -p net || exit 1
+ #mknod net/tun c 10 200 || exit 1
+ #popd > /dev/null
+ #makedevices_smartarray $CDDIR/dev
- echo "creating devices in INITRD"
- pushd $INITRDDIR/dev > /dev/null
+ #echo "creating devices in INITRD"
+ #pushd $INITRDDIR/dev > /dev/null
$MYDIR/MAKEDEV generic
#$MYDIR/MAKEDEV std fd fd0 fd1 console ram hda hdb hdc hdd hde hdf hdg hdh \
# sda sdb sdc sdd sde sdf sdg sdh scd0 scd1 scd2 scd3 scd4 scd5 scd6
- popd > /dev/null
- makedevices_smartarray $INITRDDIR/dev
+ #popd > /dev/null
+ #makedevices_smartarray $INITRDDIR/dev
;;
* )
Index: util-linux
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/util-linux,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -d -r1.12 -r1.13
--- util-linux 13 Oct 2003 17:36:09 -0000 1.12
+++ util-linux 8 Nov 2003 21:04:23 -0000 1.13
@@ -28,6 +28,10 @@
build )
./configure || exit 1
replace_str defines.h "#define ENABLE_NLS" ""
+ #make $PMAKE HAVE_SLN=yes ADD_RAW=yes DISABLE_NLS=yes -C lib || exit 1
+ #make $PMAKE HAVE_SLN=yes ADD_RAW=yes DISABLE_NLS=yes -C mount LDFLAGS="-s -static" mount || exit 1
+ #cp mount/mount mount/mount-static || exit 1
+ #make -C mount clean || exit 1
make $PMAKE HAVE_SLN=yes ADD_RAW=yes DISABLE_NLS=yes || exit 1
strip_debug
;;
@@ -41,6 +45,7 @@
cp -dpR $WORKDIR/tmp/etc $ETCDIR/ || exit 1
rm -rf $WORKDIR/tmp/etc || exit 1
cp -dpR $WORKDIR/tmp/* $CDDIR/ || exit 1
+ #cp -dpR mount/mount-static $INITRDDIR/sbin/mount || exit 1
rm -rf $WORKDIR/tmp || exit 1
;;
|
|
From: <smi...@us...> - 2003-11-08 21:04:26
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv14411 Modified Files: CHANGES Log Message: - initrd scripts now use devfs device names - install-usb now uses fat file system and the plain bootcd.iso file Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.558 retrieving revision 1.559 diff -u -d -r1.558 -r1.559 --- CHANGES 8 Nov 2003 04:04:50 -0000 1.558 +++ CHANGES 8 Nov 2003 21:04:23 -0000 1.559 @@ -23,6 +23,7 @@ # 1.1.1 +- initrd scripts now use devfs device names - install-usb now uses fat file system and the plain bootcd.iso file - ISO can now be in ZISOFS format (optional) - ISAPNP support is now directly on kernel (no more module) |
|
From: <smi...@us...> - 2003-11-08 21:04:26
|
Update of /cvsroot/devil-linux/build/config/etc/initrd
In directory sc8-pr-cvs1:/tmp/cvs-serv14411/config/etc/initrd
Modified Files:
linuxrc mount_cdrom
Log Message:
- initrd scripts now use devfs device names
- install-usb now uses fat file system and the plain bootcd.iso file
Index: linuxrc
===================================================================
RCS file: /cvsroot/devil-linux/build/config/etc/initrd/linuxrc,v
retrieving revision 1.43
retrieving revision 1.44
diff -u -d -r1.43 -r1.44
--- linuxrc 29 Sep 2003 13:27:09 -0000 1.43
+++ linuxrc 8 Nov 2003 21:04:23 -0000 1.44
@@ -32,38 +32,6 @@
export PATH=$PATH:/sbin:/usr/sbin
-# print out memory statistics
-mem_stat () {
- MEM_FREE=$(cat /proc/meminfo | grep "^MemFree:" | sed -e "s/ \+/ /g" | cut -f2 -d" ")
- MEM_BUFFERS=$(cat /proc/meminfo | grep "^Buffers:" | sed -e "s/ \+/ /g" | cut -f2 -d" ")
- MEM_CACHED=$(cat /proc/meminfo | grep "^Cached:" | sed -e "s/ \+/ /g" | cut -f2 -d" ")
- MEM_SWAP=$(cat /proc/meminfo | grep "^SwapTotal:" | sed -e "s/ \+/ /g" | cut -f2 -d" ")
- let MEM=$MEM_FREE+$MEM_BUFFERS+$MEM_CACHED+$MEM_SWAP
-
- ROOT_DEV=$(df / | tail -n1 | sed -e "s/ / /g" -e "s/ \+/ /g" | cut -f1 -d" ")
- MEM_ROOT=$(df / | tail -n1 | sed -e "s/ / /g" -e "s/ \+/ /g" | cut -f3 -d" ")
- if grep -q /dev/shm /proc/mounts; then
- MEM_SHM=$(df /dev/shm 2>/dev/null| tail -n1 | sed -e "s/ / /g" -e "s/ \+/ /g" | cut -f3 -d" ")
- else
- MEM_SHM=0
- fi
- if [ "$ROOT_DEV" = "/dev/ram0" ]; then
- let MEM_USED=$MEM_ROOT+$MEM_SHM
- else
- let MEM_USED=$MEM_SHM
- fi
- let MEM_FREE=$MEM_USABLE+$MEM_SWAP-$MEM_USED
-
- echo
- echo "Memory statistics:"
- echo " total: ${MEM_TOTAL} kB"
- echo " usable: ${MEM_USABLE} kB"
- echo " fake max. free: ${MEM} kB"
- echo " estimated max. free: ${MEM_FREE} kB"
- echo
-
-}
-
mod_config() {
[ ! -e /etc/sysconfig/config.org ] && cp /etc/sysconfig/config /etc/sysconfig/config.org
rm -f /etc/sysconfig/config.tmp
@@ -81,18 +49,8 @@
return 1
}
-# USB doesn't work the first mount, until after it has been initialized.
-# This proc does a fake mount on all USB devices and a sleep before real mount.
-wait_for_usb()
-{
- echo "waiting until usb-storage driver has initialized all devices ..."
- for CFG_SRC in $CONFIG_SRC_LIST
- do
- [ $CFG_SRC != "fd0" ] && \
- mount -f -n -t auto /dev/$CFG_SRC /floppy >/dev/null 2>&1
- done
- sleep 10
-}
+# make sure all kernel warnings get lost (seriously!)
+klogd -c 1
# get version info
DLVERSION=$(cat VERSION)
@@ -100,49 +58,46 @@
# mount proc
mount -n -t proc none /proc
-# get memory size
-#MEM_TOTAL=$(dmesg | grep "^Memory: " | cut -f2 -d" " | cut -f2 -d/ | sed -e "s/k$//")
-#MEM_USABLE=$(cat /proc/meminfo | grep "^MemTotal:" | sed -e "s/ \+/ /g" | cut -f2 -d" ")
-
-# print memory statistics
-#mem_stat
+# mount devfs
+mount -n -t devfs none /dev
+# create the floppy drives, somehow devfs doesn't do it in initrd
+mknod /dev/fd0 b 2 0
+mknod /dev/fd1 b 2 0
# mount shared memory filesystem with a limit of 40GB (for now)
echo "Mounting SHM FS on /shm"
-#mount -n -t shm -o size=40g shmfs /shm
mount -n -t shm shmfs /shm
-#USBDEVS=""
-#for device in $(find /proc/scsi/ -path '/proc/scsi/usb-storage*' -type f | xargs grep -l 'Attached: Yes')
-#do
-# USBDEVS="$USBDEVS $(echo $device | awk -F"[-/]" '{ n=$(NF-1); print "/dev/sd" substr("abcdefghijklmnopqrstuvwxyz", n+1, 1) "1" }')"
-#done
-#echo "USBDEVS='$USBDEVS'"
-#CONFIG_SRC_LIST="$USBDEVS fd0"
-CONFIG_SRC_LIST="sda1 sdb1 sdc1 sdd1 sde1 sdf1 sdg1 sdh1 fd0"
-DL_CONFIG_SOURCE=""
-
# get rid of modprobe warnings
mkdir -p /shm/etc
-ln -sf /shm/etc /etc
-#echo "alias block-major-8 off" > /etc/modules.conf
-wait_for_usb
+echo "waiting until usb-storage driver has initialized all devices ..."
+sleep 10
+
+# generate the device list we need to search for the configuration information
+CDROM_IDE=`find /dev/ide/ -name "cd*" 2> /dev/null`
+CDROM_SCSI=`find /dev/scsi/ -name "cd*" 2> /dev/null`
+PARTITIONS_IDE=`find /dev/ide/ -name "part*" 2> /dev/null`
+PARTITIONS_SCSI=`find /dev/scsi/ -name "part*" 2> /dev/null`
+CONFIG_SRC_LIST="$CDROM_IDE $CDROM_SCSI $PARTITIONS_IDE $PARTITIONS_SCSI /dev/fd0 /dev/fd1"
+DL_CONFIG_SOURCE=""
$SUCCESS
echo "searching for configuration media"
$NORMAL
+/bin/sh
+
until [ -e /floppy/etc.tar.bz2 ] ; do
for CFG_SRC in $CONFIG_SRC_LIST
do
- if mount -n -t auto /dev/$CFG_SRC /floppy >/dev/null 2>&1 ; then
+ if mount -n -t auto $CFG_SRC /floppy >/dev/null 2>&1 ; then
if [ -e /floppy/etc.tar.bz2 ] ; then
$SUCCESS
- echo "Found configuration on /dev/$CFG_SRC"
+ echo "Found configuration on $CFG_SRC"
$NORMAL
- DL_CONFIG_SOURCE=/dev/$CFG_SRC
+ DL_CONFIG_SOURCE=$CFG_SRC
continue 2
else
beep;
@@ -162,9 +117,9 @@
$NORMAL
continue
fi
- mount -n -t auto /dev/$CFG_SRC /floppy >/dev/null 2>&1 || continue
+ mount -n -t auto $CFG_SRC /floppy >/dev/null 2>&1 || continue
cp -i /cdrom/config/etc.tar.bz2 /floppy/ || continue
- DL_CONFIG_SOURCE=/dev/$CFG_SRC
+ DL_CONFIG_SOURCE=$CFG_SRC
continue 2
fi
fi
@@ -196,9 +151,6 @@
echo "loading configuration"
tar -C /shm -xjf /floppy/etc.tar.bz2
-#echo "reading list of modules to load from config media"
-#tar -C /shm -xjf /floppy/etc.tar.bz2 etc/sysconfig/config
-
# unmount config media
umount /floppy
@@ -226,13 +178,13 @@
sleep 1
modprobe -r
+# kill our klogd
+kill `ps ax | grep klogd | cut -f 1 -d 0`
+
# mount shared memory filesystem with a limit of 40GB (for now)
echo "Mounting SHM FS on /cdrom/shm"
mount -n -o bind /shm /cdrom/shm
umount /shm
-
-# print memory statistics
-#mem_stat
# unmount proc because the final system will mount it again
umount /proc
Index: mount_cdrom
===================================================================
RCS file: /cvsroot/devil-linux/build/config/etc/initrd/mount_cdrom,v
retrieving revision 1.18
retrieving revision 1.19
diff -u -d -r1.18 -r1.19
--- mount_cdrom 8 Nov 2003 04:04:51 -0000 1.18
+++ mount_cdrom 8 Nov 2003 21:04:23 -0000 1.19
@@ -20,56 +20,36 @@
$NORMAL
fi
-# IDE CD-ROM
-for disk in hda hdb hdc hdd hde hdef hdg hdh; do
- if [ -d /proc/ide/$disk ]; then
- if [ -r /proc/ide/$disk/media ]; then
- if grep -s -q "cdrom" /proc/ide/$disk/media; then
- if mount -n -t iso9660 -o ro /dev/$disk $1 2> /dev/null; then
- if [ -e $1/DEVIL-LINUX ] ; then
- DRIVENAME=$(cat /proc/ide/$disk/model)
- if [ "$3" != "silent" ]; then
- $YELLOW
- echo -e "\nFound on /dev/$disk ($DRIVENAME)"
- $NORMAL
- fi
- exit 0
- else
- umount $1
- fi
- fi
+# generate list of cdroms from devfs
+CDROM_IDE=`find /dev/ide/ -name "cd*" 2> /dev/null`
+CDROM_SCSI=`find /dev/scsi/ -name "cd*" 2> /dev/null`
+CDROMS="$CDROM_IDE $CDROM_SCSI"
+
+for disk in $CDROMS
+do
+ echo checking $disk
+ if mount -n -t iso9660 -o ro $disk $1 2> /dev/null; then
+ if [ -e $1/DEVIL-LINUX ] ; then
+ if [ "$3" != "silent" ]; then
+ $YELLOW
+ echo -e "\nFound on $disk"
+ $NORMAL
fi
+ exit 0
+ else
+ umount $1
fi
fi
done
-# SCSI CD-ROM
-if [ -f /proc/scsi/scsi ] ; then
-
- if ! grep -q "Attached devices: none" /proc/scsi/scsi
- then
- for drive in $(echo /dev/scd?); do
- if ! mount -n -r -t iso9660 $drive $1 2> /dev/null
- then
- continue
- elif [ -e $1/DEVIL-LINUX ]
- then
- if [ "$3" != "silent" ]; then
- $YELLOW
- echo -e "\nFound on $drive"
- $NORMAL
- fi
- exit 0
- else
- umount $1
- fi
- done
- fi
-fi
-
-# USB devices
-for disk in sda1 sdb1 sdc1 sdd1 sde1 sdf1 sdg1 sdh1; do
- if mount -n -t auto -o rw,noatime /dev/$disk /mnt 2> /dev/null; then
+# ok let's check all partitions if we find the bootcd.iso & the file DEVIL-LINUX
+PARTITIONS_IDE=`find /dev/ide/ -name "part*" 2> /dev/null`
+PARTITIONS_SCSI=`find /dev/scsi/ -name "part*" 2> /dev/null`
+PARTITIONS="$PARTITIONS_IDE $PARTITIONS_SCSI"
+for disk in $PARTITIONS
+do
+ echo checking $disk
+ if mount -n -t auto -o rw,noatime $disk /mnt 2> /dev/null; then
if [ -e /mnt/DEVIL-LINUX ] ; then
if [ -e /mnt/bootcd.iso ] ; then
mount -o loop -t iso9660 /mnt/bootcd.iso $1 || return 1
@@ -77,7 +57,7 @@
fi
if [ "$3" != "silent" ]; then
$YELLOW
- echo -e "\nFound on /dev/$disk"
+ echo -e "\nFound ISO on $disk"
$NORMAL
fi
exit 0
@@ -96,22 +76,13 @@
[ "$2" = "noreboot" ] && exit 1
-$YELLOW
+$RED
echo
echo 'Please check your Hardware!'
-echo 'Booting will NOT continue, you have to reset to try again (autoreboot in 2min)'
+echo 'Booting will NOT continue, you have to reset to try again'
$NORMAL
-# we will wait about 2min till we try to reboot
-count=1
+# endless loop
while true; do
- if [ $count -gt 24 ]; then
- sync; sync
- reboot
-# exit 1
- else
- echo -n "."
- fi
sleep 5
- count=$(expr $count + 1)
done
|